Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

chore(deps-dev): update husky requirement from ^1.1.3 to ^3.0.0 #3608

Merged
merged 1 commit into from Jul 6, 2019

Conversation

@dependabot-preview
Copy link
Contributor

dependabot-preview bot commented Jul 2, 2019

Updates the requirements on husky to permit the latest version.

Changelog

Sourced from husky's changelog.

3.0.0

  • Fix HUSKY_SKIP_INSTALL=1 not skipping install
  • Breaking change husky requires now Git >= 2.13.2. If you're already using husky v2 and don't use an old version of Git, you can safely upgrade.

2.7.0

Due to issues with Git < 2.13.2, this version is a rollback and is the same as husky v2.4.1. Changes introduced in v2.5.0 and v2.6.0 will be published in v3.0.0.

2.6.0

  • Optional HUSKY_USE_YARN setting to use Yarn to run Husky
  • Add more debug information
  • Show a warning for Node <= 8.6.0

Deprecated

2.5.0

  • Use more accurate git hooks directory resolution
  • Add CWD in debug messages

Deprecated

2.4.1

  • Fix husky crash on install/uninstall with very old Node versions

2.4.0

  • Add HUSKY_SKIP_HOOKS to skip all hooks

2.3.0

  • Make HUSKY_DEBUG=1 effective like HUSKY_DEBUG=true
  • Refactor script to point to run-node/run-node rather than .bin/run-node

2.2.0

  • Improve Git worktree support

2.1.0

  • Improve shell script portability by using . rather than source

2.0.0

  • Update dependencies
  • Update messages
  • Breaking change drop Node 6 support
... (truncated)
Commits

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will not automatically merge this PR because it includes a major update to a development dependency.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot ignore this [patch|minor|major] version will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it). To ignore the version in this PR you can just close it
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Automerge options (never/patch/minor, and dev/runtime dependencies)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

Updates the requirements on [husky](https://github.com/typicode/husky) to permit the latest version.
- [Release notes](https://github.com/typicode/husky/releases)
- [Changelog](https://github.com/typicode/husky/blob/master/CHANGELOG.md)
- [Commits](typicode/husky@v1.1.3...v3.0.0)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com>
@coveralls

This comment has been minimized.

Copy link

coveralls commented Jul 2, 2019

Coverage Status

Coverage remained the same at 97.148% when pulling 188ef81 on dependabot/npm_and_yarn/husky-tw-3.0.0 into fe107a1 on master.

@curbengh curbengh added this to the v4.0.0 milestone Jul 2, 2019
@YoshinoriN YoshinoriN merged commit b470d81 into master Jul 6, 2019
6 checks passed
6 checks passed
codeclimate All good!
Details
continuous-integration/appveyor/branch AppVeyor build succeeded
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details
coverage/coveralls Coverage remained the same at 97.148%
Details
@dependabot-preview dependabot-preview bot deleted the dependabot/npm_and_yarn/husky-tw-3.0.0 branch Jul 6, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.